Bug 1323699 - Can't read lifecycle env column names on the environment screen if there are multiple with long names
Summary: Can't read lifecycle env column names on the environment screen if there are ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Unspecified
Assignee: Walden Raines
QA Contact: Sebastian Gräßl
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-04 13:06 UTC by David Davis
Modified: 2019-09-26 17:34 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:49:54 UTC


Attachments (Terms of Use)
Environment screen (124.54 KB, image/png)
2016-04-04 13:06 UTC, David Davis
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 17793 None None None 2016-12-20 02:03:48 UTC

Description David Davis 2016-04-04 13:06:59 UTC
Created attachment 1143352 [details]
Environment screen

Go to the environment screen and create a bunch of environments with long names. Notice that you can't read them. See attachment.

Comment 1 Bryan Kearney 2016-07-26 19:00:24 UTC
Moving 6.2 bugs out to sat-backlog.

Comment 2 Walden Raines 2016-12-20 01:27:08 UTC
Created redmine issue http://projects.theforeman.org/issues/17793 from this bug

Comment 3 Renzo Nuccitelli 2016-12-20 16:53:44 UTC
This could be fixed by changing y with x axis. This way the table would grow vertically instead of horizontally.

 Another option would be applying flow layout so extra items goes into a new line.

Comment 4 Walden Raines 2017-02-02 19:55:19 UTC
PR: https://github.com/Katello/katello/pull/6584

Comment 5 pm-sat@redhat.com 2017-02-12 09:09:38 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/17793 has been resolved.

Comment 7 Sebastian Gräßl 2017-08-02 13:05:33 UTC
Verified on Sat-6.3.0 snap 9.0.

Titles of environments are now wrapped in the table and do not overlap anymore.

Comment 8 pm-sat@redhat.com 2018-02-21 16:49:54 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.